//Solution to supplement Experiment 8(a)
//Behavioral description of 7474 D flip-flop
module _7474 (Q,D,CLK,preset,clear);
  	output Q;
  	input D,CLK,preset,clear;
  	reg Q;
 	always @ (posedge CLK or negedge preset or negedge clear)
  	   if (~preset)  Q = 1'b1;
  	   else if (~clear)  Q = 1'b0;
  	   else  Q = D;
	endmodule
