//Solution to supplement Experiment 10
//Behavioral description of 74161 
//P and T are treated as a single enable input "Count".
module _74161(Data_in,Q,Co,	Load, Count, CLK, Clr);
input Load, Count, CLK, Clr;
input [3:0] Data_in;
output [3:0] Q;
output Co;
reg [3:0] Q;
wire Co;
//Co=1 when Q is all 1's AND count is enabled.
assign Co = (&Q) & Count; 
always @(negedge Clr or posedge CLK)
  if (~Clr) Q = 0;
  else if (~Load) Q = Data_in;
  else if (Count) Q = Q + 4'b1;
  else Q = Q;
endmodule
